Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
GETLoad Balancing OperationsSince 3.9.0SynchronousAuth Required

GetCandidateL3NetworksForLoadBalancer

GetCandidateL3NetworksForLoadBalancer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • listenerUuidStringRequired

    No description provided.

Query Parameters

  • limitInteger

    Optional.

  • startInteger

    Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • zoneUuidStringRequired

      The zone UUID.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

    • stateStringRequired

      当前状态。

    • dnsDomainStringRequired

      DNS域。

    • systemBooleanRequired

      系统。

    • categoryStringRequired

      类型分类。

    • ipVersionIntegerRequired

      IP版本。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      No description provided.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        开始IP。

      • endIpStringRequired

        结束IP。

      • netmaskStringRequired

        No description provided.

      • gatewayStringRequired

        No description provided.

      • networkCidrStringRequired

        No description provided.

      • ipVersionIntegerRequired

        IP版本。

      • addressModeStringRequired

        地址模式。

      • prefixLenIntegerRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • networkServiceProviderUuidStringRequired

        The UUID of the network service provider.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/load-balancers/listeners/{listenerUuid}/networks/candidates

/zstack/v1/load-balancers/listeners/{listenerUuid}/networks/candidates

Operation ID

GetCandidateL3NetworksForLoadBalancer

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/load-balancers/listeners/{listenerUuid}/networks/candidates?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "Test-L3Network", "l2NetworkUuid": "7631f86a65af335fb1496afe8e7ac9ee" } ] }

Change History

This API has no change history records yet.

View all change history